return {
  {
    "stevearc/conform.nvim",
    -- event = 'BufWritePre', -- uncomment for format on save
    opts = require "configs.conform",
  },

  -- These are some examples, uncomment them if you want to see them work!
  {
    "neovim/nvim-lspconfig",
    config = function()
      require "configs.lspconfig"
    end,
  },

  -- {
  --   "github/copilot.vim",
  --   lazy = false,
  --   config = function() -- Mapping tab is already used in NvChad
  --     vim.g.copilot_no_tab_map = true; -- Disable tab mapping
  --     vim.g.copilot_assume_mapped = true; -- Assume that the mapping is already done
  --   end
  -- },

  {
    'mrcjkb/rustaceanvim',
    version = '^6', -- Recommended
    lazy = false, -- This plugin is already lazy
    ft = "rust",
    config = function()
      -- Option A: use executable directly
      local codelldb_path = vim.fn.exepath("codelldb")

      -- Option B: manual path using $MASON
      -- local mroot = vim.fn.expand("$MASON/packages/codelldb")
      -- local codelldb_path = mroot .. "/extension/adapter/codelldb"
      -- local liblldb_path = mroot .. "/extension/lldb/lib/liblldb.so"

      local cfg = require("rustaceanvim.config")
      vim.g.rustaceanvim = {
        dap = {
          adapter = cfg.get_codelldb_adapter(codelldb_path),
        },
      }
    end
  },

  {
    'rust-lang/rust.vim',
    ft = "rust",
    init = function ()
      vim.g.rustfmt_autosave = 1
    end
  },

  {
    'mfussenegger/nvim-dap',
    config = function()
      require("configs.dap")
    end,
  },

  {
    'rcarriga/nvim-dap-ui',
    dependencies = {"mfussenegger/nvim-dap", "nvim-neotest/nvim-nio"},
    config = function()
      require("dapui").setup()
    end,
  },

  {
    'saecki/crates.nvim',
    ft = {"toml"},
    config = function()
      require("crates").setup {
        completion = {
          cmp = {
            enabled = true
          },
        },
      }
      require('cmp').setup.buffer({
        sources = { { name = "crates" }}
      })
    end
  },

  -- Summer time fest
  {
    'wakatime/vim-wakatime',
    lazy = false
  },

  -- RISC-V advanced highlighting
  {
  "henry-hsieh/riscv-asm-vim",
  ft = { "riscv_asm" },
  -- riscv_asm_all_enable = true,
  }

  -- {
  --   "3rd/image.nvim",
  --   build = false, -- so that it doesn't build the rock https://github.com/3rd/image.nvim/issues/91#issuecomment-2453430239
  --   lazy = false,
  --   opts = {
  --       processor = "magick_cli",
  --   }
  -- },

  -- {
  -- 	"nvim-treesitter/nvim-treesitter",
  -- 	opts = {
  -- 		ensure_installed = {
  -- 			"vim", "lua", "vimdoc",
  --      "html", "css"
  -- 		},
  -- 	},
  -- },
}
